=== modified file 'DBUS-API'
--- DBUS-API	2011-10-02 19:18:24 +0000
+++ DBUS-API	2011-09-18 16:04:23 +0000
@@ -5,7 +5,7 @@
 This file documents the D-Bus interface to the Mandos server.
 
 * Bus: System bus
-  Bus name: "se.recompile.Mandos"
+  Bus name: "se.bsnet.fukt.Mandos"
 
 
 * Object Paths:
@@ -17,7 +17,7 @@
 
   
 * Mandos Server Interface:
-  Interface name: "se.recompile.Mandos"
+  Interface name: "se.bsnet.fukt.Mandos"
   
 ** Methods:
 *** GetAllClients() → (ao: Clients)
@@ -44,7 +44,7 @@
 
 
 * Mandos Client Interface:
-  Interface name: "se.recompile.Mandos.Client"
+  Interface name: "se.bsnet.fukt.Mandos.Client"
   
 ** Methods
 *** Approve(b: Approve) → nothing

=== modified file 'Makefile'
--- Makefile	2011-10-05 16:56:06 +0000
+++ Makefile	2011-08-17 22:46:35 +0000
@@ -5,7 +5,7 @@
 	-Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings \
 	-Wconversion -Wstrict-prototypes -Wold-style-definition \
 	-Wpacked -Wnested-externs -Winline -Wvolatile-register-var
-#	-Wunreachable-code
+#	-Wunreachable-code 
 #DEBUG=-ggdb3
 # For info about _FORTIFY_SOURCE, see
 # <http://www.kernel.org/doc/man-pages/online/pages/man7/feature_test_macros.7.html>

=== modified file 'README'
--- README	2011-10-05 16:00:56 +0000
+++ README	2011-09-18 14:28:47 +0000
@@ -1,4 +1,4 @@
-Please see: http://www.recompile.se/mandos/man/intro.8mandos
+Please see: http://www.fukt.bsnet.se/mandos/man/intro.8mandos
 
 This information previously in this file has been moved to the
 intro(8mandos) manual page.  Go to the above URL, or run this command:

=== modified file 'TODO'
--- TODO	2011-10-09 12:32:13 +0000
+++ TODO	2011-09-18 16:00:55 +0000
@@ -2,8 +2,6 @@
 
 * Use _attribute_((nonnull)) wherever possible.
 
-* [[http://www.undeadly.org/cgi?action=article&sid=20110530221728][OpenBSD]]
-
 * mandos-applet
 
 * mandos-client
@@ -40,6 +38,7 @@
 ** TODO [#B] Use openat()
 
 * mandos (server)
+** TODO [#A] Make all attributes properties!
 ** TODO [#B] Log level							  :BUGS:
 ** TODO Persistent state						  :BUGS:
    /var/lib/mandos/*
@@ -114,8 +113,8 @@
    From XML sources directly?
 
 * Side Stuff
-** TODO Locate which package moves the other bin/sh when busybox is deactivated
-** TODO contact owner of package, and ask them to have that shell static in position regardless of busybox
+** TODO Locate which packet move the other bin/sh when busy box is deactivated
+** TODO contact owner of packet, and ask them to have that shell static in position regardless of busybox
 
 
 #+STARTUP: showall

=== modified file 'dbus-mandos.conf'
--- dbus-mandos.conf	2011-10-02 19:18:24 +0000
+++ dbus-mandos.conf	2009-11-09 07:35:16 +0000
@@ -7,18 +7,12 @@
     <allow own="se.bsnet.fukt.Mandos"/>
     <allow send_destination="se.bsnet.fukt.Mandos"/>
     <allow receive_sender="se.bsnet.fukt.Mandos"/>
-    <allow own="se.recompile.Mandos"/>
-    <allow send_destination="se.recompile.Mandos"/>
-    <allow receive_sender="se.recompile.Mandos"/>
   </policy>
   
   <policy user="root">
     <allow own="se.bsnet.fukt.Mandos"/>
     <allow send_destination="se.bsnet.fukt.Mandos"/>
     <allow receive_sender="se.bsnet.fukt.Mandos"/>
-    <allow own="se.recompile.Mandos"/>
-    <allow send_destination="se.recompile.Mandos"/>
-    <allow receive_sender="se.recompile.Mandos"/>
   </policy>
 
 </busconfig>

=== modified file 'debian/control'
--- debian/control	2011-10-05 17:03:36 +0000
+++ debian/control	2011-09-18 15:03:26 +0000
@@ -1,17 +1,16 @@
 Source: mandos
 Section: admin
 Priority: extra
-Maintainer: Mandos Maintainers <mandos@recompile.se>
-Uploaders: Teddy Hogeborn <teddy@recompile.se>,
-	   Björn Påhlsson <belorn@recompile.se>
+Maintainer: Mandos Maintainers <mandos@fukt.bsnet.se>
+Uploaders: Teddy Hogeborn <teddy@fukt.bsnet.se>,
+	   Björn Påhlsson <belorn@fukt.bsnet.se>
 Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
 	pkg-config
-Standards-Version: 3.9.2
-Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
-Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
-Homepage: http://www.recompile.se/mandos
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.1
+Vcs-Bzr: http://ftp.fukt.bsnet.se/pub/mandos/trunk
+Vcs-Browser: http://bzr.fukt.bsnet.se/loggerhead/mandos/trunk/files
+Homepage: http://www.fukt.bsnet.se/mandos
 
 Package: mandos
 Architecture: all

=== modified file 'debian/copyright'
--- debian/copyright	2011-10-05 16:00:56 +0000
+++ debian/copyright	2011-02-27 17:26:35 +0000
@@ -1,8 +1,8 @@
 Format-Specification:
  http://wiki.debian.org/Proposals/CopyrightFormat?action=recall&rev=233
 Upstream-Name: Mandos
-Upstream-Maintainer: Mandos Maintainers <mandos@recompile.se>
-Upstream-Source: <http://www.recompile.se/mandos>
+Upstream-Maintainer: Mandos Maintainers <mandos@fukt.bsnet.se>
+Upstream-Source: <http://www.fukt.bsnet.se/mandos>
 
 Files: *
 Copyright: Copyright © 2008-2011 Teddy Hogeborn

=== modified file 'debian/mandos-client.README.Debian'
--- debian/mandos-client.README.Debian	2011-10-05 16:00:56 +0000
+++ debian/mandos-client.README.Debian	2010-09-27 17:53:53 +0000
@@ -1,3 +1,25 @@
+* Choose the Client Network Interface
+  
+  Please make sure that the correct network interface is specified in
+  the DEVICE setting in the "/etc/initramfs-tools/initramfs.conf"
+  file.  If the setting is empty, the interface will be autodetected
+  at boot time, which may not be correct.  *If* the DEVICE setting is
+  changed, it will be necessary to update the initrd image by running
+  the command
+  
+	update-initramfs -k all -u
+  
+  The device can be overridden at boot time on the Linux kernel
+  command line using the sixth colon-separated field of the "ip="
+  option; for exact syntax, read the documentation in the file
+  "/usr/share/doc/linux-doc-*/Documentation/filesystems/nfsroot.txt",
+  available in the "linux-doc-*" package.
+  
+  Note that since this network interface is used in the initial RAM
+  disk environment, the network interface *must* exist at that stage.
+  Thus, the interface can *not* be a pseudo-interface such as "br0" or
+  "tun0"; instead, a real interface (such as "eth0") must be used.
+
 * Adding a Client Password to the Server
   
   The server must be given a password to give back to the client on
@@ -24,34 +46,6 @@
   it, and output it to standard output.  There it can be verified to
   be the correct password, before rebooting.
 
-* Emergency Escape
-  
-  If it ever should be necessary, the Mandos client can be temporarily
-  prevented from running at startup by passing the parameter
-  "mandos=off" to the kernel.
-
-* Specifying a Client Network Interface
-  
-  At boot time the network interface to use will by default be
-  automatically detected.  If should result in an incorrect interface,
-  edit the DEVICE setting in the "/etc/initramfs-tools/initramfs.conf"
-  file.  (The default setting is empty, meaning to autodetect the
-  interface.)  *If* the DEVICE setting is changed, it will be
-  necessary to update the initrd image by running the command
-  
-	update-initramfs -k all -u
-  
-  The device can be overridden at boot time on the Linux kernel
-  command line using the sixth colon-separated field of the "ip="
-  option; for exact syntax, read the documentation in the file
-  "/usr/share/doc/linux-doc-*/Documentation/filesystems/nfsroot.txt",
-  available in the "linux-doc-*" package.
-  
-  Note that since this network interface is used in the initial RAM
-  disk environment, the network interface *must* exist at that stage.
-  Thus, the interface can *not* be a pseudo-interface such as "br0" or
-  "tun0"; instead, only real interface (such as "eth0") can be used.
-
 * User-Supplied Plugins
   
   Any plugins found in "/etc/mandos/plugins.d" will override and add
@@ -68,14 +62,19 @@
   Mandos client will be the new default way for getting a password for
   the root file system when booting.
 
+* Emergency Escape
+  
+  If it ever should be necessary, the Mandos client can be temporarily
+  prevented from running at startup by passing the parameter
+  "mandos=off" to the kernel.
+
 * Non-local Connection (Not Using ZeroConf)
   
   If the "ip=" kernel command line option is used to specify a
   complete IP address and device name, as noted above, it then becomes
   possible to specify a specific IP address and port to connect to,
   instead of using ZeroConf.  The syntax for doing this is
-  "mandos=connect:<IP_ADDRESS>:<PORT_NUMBER>" on the kernel command
-  line.
+  "mandos=connect:<IP_ADDRESS>:<PORT_NUMBER>".
   
   For very advanced users, it it possible to specify simply
   "mandos=connect" on the kernel command line to make the system only
@@ -84,4 +83,4 @@
   work, "--options-for=mandos-client:--connect=<ADDRESS>:<PORT>" needs
   to be manually added to the file "/etc/mandos/plugin-runner.conf".
 
- -- Teddy Hogeborn <teddy@recompile.se>, Wed,  5 Oct 2011 17:50:22 +0200
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Mon, 27 Sep 2010 19:53:21 +0200

=== modified file 'debian/mandos.README.Debian'
--- debian/mandos.README.Debian	2011-10-05 16:00:56 +0000
+++ debian/mandos.README.Debian	2009-09-08 06:28:20 +0000
@@ -1,10 +1,10 @@
 The Mandos server is useless without at least one configured client in
 /etc/mandos/clients.conf.  To create one, install the "mandos-client"
-package on a client computer, and, on the client, run the command
+package on a client computer, and run the command
 
 	# mandos-keygen --password
 
-to get a config file stanza.  Append the output of that command to the
-file "/etc/mandos/clients.conf" on the Mandos server computer.
+there to get a config file stanza.  Append the output of that command
+to the file "/etc/mandos/clients.conf" on the Mandos server.
 
- -- Teddy Hogeborn <teddy@recompile.se>, Wed,  5 Oct 2011 17:51:22 +0200
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Tue,  8 Sep 2009 06:57:45 +0200

=== removed file 'debian/source/local-options'
--- debian/source/local-options	2011-10-08 21:13:46 +0000
+++ debian/source/local-options	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
---single-debian-patch

=== modified file 'debian/watch'
--- debian/watch	2011-10-05 16:00:56 +0000
+++ debian/watch	2010-09-15 17:17:46 +0000
@@ -1,2 +1,2 @@
 version=3
-ftp://ftp.recompile.se/pub/mandos/mandos[-_]([^\s]+?)(?:\.orig)?\.tar\.(?:gz|bz2|7z|xz)
+ftp://ftp.fukt.bsnet.se/pub/mandos/mandos[-_]([^\s]+?)(?:\.orig)?\.tar\.(?:gz|bz2|7z|xz)

=== modified file 'init.d-mandos'
--- init.d-mandos	2011-10-05 16:00:56 +0000
+++ init.d-mandos	2009-09-16 23:28:39 +0000
@@ -9,8 +9,8 @@
 # Description:       Gives encrypted passwords to Mandos clients
 ### END INIT INFO
 
-# Author: Teddy Hogeborn <teddy@recompile.se>
-# Author: Björn Påhlsson <belorn@recompile.se>
+# Author: Teddy Hogeborn <teddy@fukt.bsnet.se>
+# Author: Björn Påhlsson <belorn@fukt.bsnet.se>
 #
 # Please remove the "Author" lines above and replace them
 # with your own name if you copy and modify this script.

=== modified file 'initramfs-tools-hook'
--- initramfs-tools-hook	2011-10-05 16:56:06 +0000
+++ initramfs-tools-hook	2010-09-09 18:16:14 +0000
@@ -131,7 +131,7 @@
 	"${DESTDIR}${CONFDIR}/plugin-runner.conf"
 fi
 
-# Key files
+# Key files 
 for file in "$keydir"/*; do
     if [ -d "$file" ]; then
 	continue

=== modified file 'intro.xml'
--- intro.xml	2011-10-05 16:00:56 +0000
+++ intro.xml	2011-08-08 21:12:37 +0000
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -18,14 +18,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
@@ -392,7 +392,7 @@
     <variablelist>
       <varlistentry>
 	<term>
-	  <ulink url="http://www.recompile.se/mandos">Mandos</ulink>
+	  <ulink url="http://www.fukt.bsnet.se/mandos">Mandos</ulink>
 	</term>
 	<listitem>
 	  <para>

=== modified file 'mandos'
--- mandos	2011-10-08 17:15:48 +0000
+++ mandos	2011-09-18 15:59:05 +0000
@@ -28,7 +28,7 @@
 # along with this program.  If not, see
 # <http://www.gnu.org/licenses/>.
 # 
-# Contact the authors at <mandos@recompile.se>.
+# Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
 from __future__ import (division, absolute_import, print_function,
@@ -62,7 +62,6 @@
 import functools
 import cPickle as pickle
 import multiprocessing
-import types
 
 import dbus
 import dbus.service
@@ -160,8 +159,7 @@
                             " after %i retries, exiting.",
                             self.rename_count)
             raise AvahiServiceError("Too many renames")
-        self.name = unicode(self.server
-                            .GetAlternativeServiceName(self.name))
+        self.name = unicode(self.server.GetAlternativeServiceName(self.name))
         logger.info("Changing Zeroconf service name to %r ...",
                     self.name)
         syslogger.setFormatter(logging.Formatter
@@ -266,12 +264,6 @@
         self.server_state_changed(self.server.GetState())
 
 
-def _timedelta_to_milliseconds(td):
-    "Convert a datetime.timedelta() to milliseconds"
-    return ((td.days * 24 * 60 * 60 * 1000)
-            + (td.seconds * 1000)
-            + (td.microseconds // 1000))
-        
 class Client(object):
     """A representation of a client host served by this server.
     
@@ -316,20 +308,27 @@
                           "host", "interval", "last_checked_ok",
                           "last_enabled", "name", "timeout")
     
+    @staticmethod
+    def _timedelta_to_milliseconds(td):
+        "Convert a datetime.timedelta() to milliseconds"
+        return ((td.days * 24 * 60 * 60 * 1000)
+                + (td.seconds * 1000)
+                + (td.microseconds // 1000))
+    
     def timeout_milliseconds(self):
         "Return the 'timeout' attribute in milliseconds"
-        return _timedelta_to_milliseconds(self.timeout)
-    
+        return self._timedelta_to_milliseconds(self.timeout)
+
     def extended_timeout_milliseconds(self):
         "Return the 'extended_timeout' attribute in milliseconds"
-        return _timedelta_to_milliseconds(self.extended_timeout)
+        return self._timedelta_to_milliseconds(self.extended_timeout)    
     
     def interval_milliseconds(self):
         "Return the 'interval' attribute in milliseconds"
-        return _timedelta_to_milliseconds(self.interval)
-    
+        return self._timedelta_to_milliseconds(self.interval)
+
     def approval_delay_milliseconds(self):
-        return _timedelta_to_milliseconds(self.approval_delay)
+        return self._timedelta_to_milliseconds(self.approval_delay)
     
     def __init__(self, name = None, disable_hook=None, config=None):
         """Note: the 'checker' key in 'config' sets the
@@ -362,8 +361,7 @@
         self.last_enabled = None
         self.last_checked_ok = None
         self.timeout = string_to_delta(config["timeout"])
-        self.extended_timeout = string_to_delta(config
-                                                ["extended_timeout"])
+        self.extended_timeout = string_to_delta(config["extended_timeout"])
         self.interval = string_to_delta(config["interval"])
         self.disable_hook = disable_hook
         self.checker = None
@@ -382,21 +380,20 @@
             config["approval_delay"])
         self.approval_duration = string_to_delta(
             config["approval_duration"])
-        self.changedstate = (multiprocessing_manager
-                             .Condition(multiprocessing_manager
-                                        .Lock()))
+        self.changedstate = multiprocessing_manager.Condition(multiprocessing_manager.Lock())
     
     def send_changedstate(self):
         self.changedstate.acquire()
         self.changedstate.notify_all()
         self.changedstate.release()
-    
+        
     def enable(self):
         """Start this client's checker and timeout hooks"""
         if getattr(self, "enabled", False):
             # Already enabled
             return
         self.send_changedstate()
+        self.last_enabled = datetime.datetime.utcnow()
         # Schedule a new checker to be started an 'interval' from now,
         # and every interval from then on.
         self.checker_initiator_tag = (gobject.timeout_add
@@ -408,7 +405,6 @@
                                    (self.timeout_milliseconds(),
                                     self.disable))
         self.enabled = True
-        self.last_enabled = datetime.datetime.utcnow()
         # Also start a new checker *right now*.
         self.start_checker()
     
@@ -467,8 +463,8 @@
         gobject.source_remove(self.disable_initiator_tag)
         self.expires = datetime.datetime.utcnow() + timeout
         self.disable_initiator_tag = (gobject.timeout_add
-                                      (_timedelta_to_milliseconds
-                                       (timeout), self.disable))
+                                      (self._timedelta_to_milliseconds(timeout),
+                                       self.disable))
     
     def need_approval(self):
         self.last_approval_request = datetime.datetime.utcnow()
@@ -514,7 +510,7 @@
                                        'replace')))
                     for attr in
                     self.runtime_expansions)
-                
+
                 try:
                     command = self.checker_command % escaped_attrs
                 except TypeError as error:
@@ -566,7 +562,6 @@
                 raise
         self.checker = None
 
-
 def dbus_service_property(dbus_interface, signature="v",
                           access="readwrite", byte_arrays=False):
     """Decorators for marking methods of a DBusObjectWithProperties to
@@ -618,7 +613,7 @@
 
 class DBusObjectWithProperties(dbus.service.Object):
     """A D-Bus object with properties.
-    
+
     Classes inheriting from this can use the dbus_service_property
     decorator to expose methods as D-Bus properties.  It exposes the
     standard Get(), Set(), and GetAll() methods on the D-Bus.
@@ -631,22 +626,24 @@
     def _get_all_dbus_properties(self):
         """Returns a generator of (name, attribute) pairs
         """
-        return ((prop.__get__(self)._dbus_name, prop.__get__(self))
-                for cls in self.__class__.__mro__
+        return ((prop._dbus_name, prop)
                 for name, prop in
-                inspect.getmembers(cls, self._is_dbus_property))
+                inspect.getmembers(self, self._is_dbus_property))
     
     def _get_dbus_property(self, interface_name, property_name):
         """Returns a bound method if one exists which is a D-Bus
         property with the specified name and interface.
         """
-        for cls in  self.__class__.__mro__:
-            for name, value in (inspect.getmembers
-                                (cls, self._is_dbus_property)):
-                if (value._dbus_name == property_name
-                    and value._dbus_interface == interface_name):
-                    return value.__get__(self)
-        
+        for name in (property_name,
+                     property_name + "_dbus_property"):
+            prop = getattr(self, name, None)
+            if (prop is None
+                or not self._is_dbus_property(prop)
+                or prop._dbus_name != property_name
+                or (interface_name and prop._dbus_interface
+                    and interface_name != prop._dbus_interface)):
+                continue
+            return prop
         # No such property
         raise DBusPropertyNotFound(self.dbus_object_path + ":"
                                    + interface_name + "."
@@ -686,7 +683,7 @@
     def GetAll(self, interface_name):
         """Standard D-Bus property GetAll() method, see D-Bus
         standard.
-        
+
         Note: Will not include properties with access="write".
         """
         all = {}
@@ -754,110 +751,6 @@
         return xmlstring
 
 
-def datetime_to_dbus (dt, variant_level=0):
-    """Convert a UTC datetime.datetime() to a D-Bus type."""
-    if dt is None:
-        return dbus.String("", variant_level = variant_level)
-    return dbus.String(dt.isoformat(),
-                       variant_level=variant_level)
-
-class AlternateDBusNamesMetaclass(DBusObjectWithProperties
-                                  .__metaclass__):
-    """Applied to an empty subclass of a D-Bus object, this metaclass
-    will add additional D-Bus attributes matching a certain pattern.
-    """
-    def __new__(mcs, name, bases, attr):
-        # Go through all the base classes which could have D-Bus
-        # methods, signals, or properties in them
-        for base in (b for b in bases
-                     if issubclass(b, dbus.service.Object)):
-            # Go though all attributes of the base class
-            for attrname, attribute in inspect.getmembers(base):
-                # Ignore non-D-Bus attributes, and D-Bus attributes
-                # with the wrong interface name
-                if (not hasattr(attribute, "_dbus_interface")
-                    or not attribute._dbus_interface
-                    .startswith("se.recompile.Mandos")):
-                    continue
-                # Create an alternate D-Bus interface name based on
-                # the current name
-                alt_interface = (attribute._dbus_interface
-                                 .replace("se.recompile.Mandos",
-                                          "se.bsnet.fukt.Mandos"))
-                # Is this a D-Bus signal?
-                if getattr(attribute, "_dbus_is_signal", False):
-                    # Extract the original non-method function by
-                    # black magic
-                    nonmethod_func = (dict(
-                            zip(attribute.func_code.co_freevars,
-                                attribute.__closure__))["func"]
-                                      .cell_contents)
-                    # Create a new, but exactly alike, function
-                    # object, and decorate it to be a new D-Bus signal
-                    # with the alternate D-Bus interface name
-                    new_function = (dbus.service.signal
-                                    (alt_interface,
-                                     attribute._dbus_signature)
-                                    (types.FunctionType(
-                                nonmethod_func.func_code,
-                                nonmethod_func.func_globals,
-                                nonmethod_func.func_name,
-                                nonmethod_func.func_defaults,
-                                nonmethod_func.func_closure)))
-                    # Define a creator of a function to call both the
-                    # old and new functions, so both the old and new
-                    # signals gets sent when the function is called
-                    def fixscope(func1, func2):
-                        """This function is a scope container to pass
-                        func1 and func2 to the "call_both" function
-                        outside of its arguments"""
-                        def call_both(*args, **kwargs):
-                            """This function will emit two D-Bus
-                            signals by calling func1 and func2"""
-                            func1(*args, **kwargs)
-                            func2(*args, **kwargs)
-                        return call_both
-                    # Create the "call_both" function and add it to
-                    # the class
-                    attr[attrname] = fixscope(attribute,
-                                              new_function)
-                # Is this a D-Bus method?
-                elif getattr(attribute, "_dbus_is_method", False):
-                    # Create a new, but exactly alike, function
-                    # object.  Decorate it to be a new D-Bus method
-                    # with the alternate D-Bus interface name.  Add it
-                    # to the class.
-                    attr[attrname] = (dbus.service.method
-                                      (alt_interface,
-                                       attribute._dbus_in_signature,
-                                       attribute._dbus_out_signature)
-                                      (types.FunctionType
-                                       (attribute.func_code,
-                                        attribute.func_globals,
-                                        attribute.func_name,
-                                        attribute.func_defaults,
-                                        attribute.func_closure)))
-                # Is this a D-Bus property?
-                elif getattr(attribute, "_dbus_is_property", False):
-                    # Create a new, but exactly alike, function
-                    # object, and decorate it to be a new D-Bus
-                    # property with the alternate D-Bus interface
-                    # name.  Add it to the class.
-                    attr[attrname] = (dbus_service_property
-                                      (alt_interface,
-                                       attribute._dbus_signature,
-                                       attribute._dbus_access,
-                                       attribute
-                                       ._dbus_get_args_options
-                                       ["byte_arrays"])
-                                      (types.FunctionType
-                                       (attribute.func_code,
-                                        attribute.func_globals,
-                                        attribute.func_name,
-                                        attribute.func_defaults,
-                                        attribute.func_closure)))
-        return type.__new__(mcs, name, bases, attr)
-
 class ClientDBus(Client, DBusObjectWithProperties):
     """A Client class using D-Bus
     
@@ -884,72 +777,62 @@
                                  ("/clients/" + client_object_name))
         DBusObjectWithProperties.__init__(self, self.bus,
                                           self.dbus_object_path)
+    def _set_expires(self, value):
+        old_value = getattr(self, "_expires", None)
+        self._expires = value
+        if hasattr(self, "dbus_object_path") and old_value != value:
+            dbus_time = (self._datetime_to_dbus(self._expires,
+                                                variant_level=1))
+            self.PropertyChanged(dbus.String("Expires"),
+                                 dbus_time)
+    expires = property(lambda self: self._expires, _set_expires)
+    del _set_expires
         
-    def notifychangeproperty(transform_func,
-                             dbus_name, type_func=lambda x: x,
-                             variant_level=1):
-        """ Modify a variable so that it's a property which announces
-        its changes to DBus.
+    def _get_approvals_pending(self):
+        return self._approvals_pending
+    def _set_approvals_pending(self, value):
+        old_value = self._approvals_pending
+        self._approvals_pending = value
+        bval = bool(value)
+        if (hasattr(self, "dbus_object_path")
+            and bval is not bool(old_value)):
+            dbus_bool = dbus.Boolean(bval, variant_level=1)
+            self.PropertyChanged(dbus.String("ApprovalPending"),
+                                 dbus_bool)
 
-        transform_fun: Function that takes a value and transforms it
-                       to a D-Bus type.
-        dbus_name: D-Bus name of the variable
-        type_func: Function that transform the value before sending it
-                   to the D-Bus.  Default: no transform
-        variant_level: D-Bus variant level.  Default: 1
-        """
-        attrname = "_{0}".format(dbus_name)
-        def setter(self, value):
-            if hasattr(self, "dbus_object_path"):
-                if (not hasattr(self, attrname) or
-                    type_func(getattr(self, attrname, None))
-                    != type_func(value)):
-                    dbus_value = transform_func(type_func(value),
-                                                variant_level)
-                    self.PropertyChanged(dbus.String(dbus_name),
-                                         dbus_value)
-            setattr(self, attrname, value)
-        
-        return property(lambda self: getattr(self, attrname), setter)
-    
-    
-    expires = notifychangeproperty(datetime_to_dbus, "Expires")
-    approvals_pending = notifychangeproperty(dbus.Boolean,
-                                             "ApprovalPending",
-                                             type_func = bool)
-    enabled = notifychangeproperty(dbus.Boolean, "Enabled")
-    last_enabled = notifychangeproperty(datetime_to_dbus,
-                                        "LastEnabled")
-    checker = notifychangeproperty(dbus.Boolean, "CheckerRunning",
-                                   type_func = lambda checker:
-                                       checker is not None)
-    last_checked_ok = notifychangeproperty(datetime_to_dbus,
-                                           "LastCheckedOK")
-    last_approval_request = notifychangeproperty(
-        datetime_to_dbus, "LastApprovalRequest")
-    approved_by_default = notifychangeproperty(dbus.Boolean,
-                                               "ApprovedByDefault")
-    approval_delay = notifychangeproperty(dbus.UInt16,
-                                          "ApprovalDelay",
-                                          type_func =
-                                          _timedelta_to_milliseconds)
-    approval_duration = notifychangeproperty(
-        dbus.UInt16, "ApprovalDuration",
-        type_func = _timedelta_to_milliseconds)
-    host = notifychangeproperty(dbus.String, "Host")
-    timeout = notifychangeproperty(dbus.UInt16, "Timeout",
-                                   type_func =
-                                   _timedelta_to_milliseconds)
-    extended_timeout = notifychangeproperty(
-        dbus.UInt16, "ExtendedTimeout",
-        type_func = _timedelta_to_milliseconds)
-    interval = notifychangeproperty(dbus.UInt16,
-                                    "Interval",
-                                    type_func =
-                                    _timedelta_to_milliseconds)
-    checker_command = notifychangeproperty(dbus.String, "Checker")
-    
-    del notifychangeproperty
+    approvals_pending = property(_get_approvals_pending,
+                                 _set_approvals_pending)
+    del _get_approvals_pending, _set_approvals_pending
+    
+    @staticmethod
+    def _datetime_to_dbus(dt, variant_level=0):
+        """Convert a UTC datetime.datetime() to a D-Bus type."""
+        if dt is None:
+            return dbus.String("", variant_level = variant_level)
+        return dbus.String(dt.isoformat(),
+                           variant_level=variant_level)
+    
+    def enable(self):
+        oldstate = getattr(self, "enabled", False)
+        r = Client.enable(self)
+        if oldstate != self.enabled:
+            # Emit D-Bus signals
+            self.PropertyChanged(dbus.String("Enabled"),
+                                 dbus.Boolean(True, variant_level=1))
+            self.PropertyChanged(
+                dbus.String("LastEnabled"),
+                self._datetime_to_dbus(self.last_enabled,
+                                       variant_level=1))
+        return r
+    
+    def disable(self, quiet = False):
+        oldstate = getattr(self, "enabled", False)
+        r = Client.disable(self, quiet=quiet)
+        if not quiet and oldstate != self.enabled:
+            # Emit D-Bus signal
+            self.PropertyChanged(dbus.String("Enabled"),
+                                 dbus.Boolean(False, variant_level=1))
+        return r
     
     def __del__(self, *args, **kwargs):
         try:
@@ -964,6 +847,9 @@
                          *args, **kwargs):
         self.checker_callback_tag = None
         self.checker = None
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("CheckerRunning"),
+                             dbus.Boolean(False, variant_level=1))
         if os.WIFEXITED(condition):
             exitstatus = os.WEXITSTATUS(condition)
             # Emit D-Bus signal
@@ -979,6 +865,23 @@
         return Client.checker_callback(self, pid, condition, command,
                                        *args, **kwargs)
     
+    def checked_ok(self, *args, **kwargs):
+        Client.checked_ok(self, *args, **kwargs)
+        # Emit D-Bus signal
+        self.PropertyChanged(
+            dbus.String("LastCheckedOK"),
+            (self._datetime_to_dbus(self.last_checked_ok,
+                                    variant_level=1)))
+    
+    def need_approval(self, *args, **kwargs):
+        r = Client.need_approval(self, *args, **kwargs)
+        # Emit D-Bus signal
+        self.PropertyChanged(
+            dbus.String("LastApprovalRequest"),
+            (self._datetime_to_dbus(self.last_approval_request,
+                                    variant_level=1)))
+        return r
+    
     def start_checker(self, *args, **kwargs):
         old_checker = self.checker
         if self.checker is not None:
@@ -991,8 +894,20 @@
             and old_checker_pid != self.checker.pid):
             # Emit D-Bus signal
             self.CheckerStarted(self.current_checker_command)
+            self.PropertyChanged(
+                dbus.String("CheckerRunning"),
+                dbus.Boolean(True, variant_level=1))
         return r
     
+    def stop_checker(self, *args, **kwargs):
+        old_checker = getattr(self, "checker", None)
+        r = Client.stop_checker(self, *args, **kwargs)
+        if (old_checker is not None
+            and getattr(self, "checker", None) is None):
+            self.PropertyChanged(dbus.String("CheckerRunning"),
+                                 dbus.Boolean(False, variant_level=1))
+        return r
+
     def _reset_approved(self):
         self._approved = None
         return False
@@ -1000,13 +915,13 @@
     def approve(self, value=True):
         self.send_changedstate()
         self._approved = value
-        gobject.timeout_add(_timedelta_to_milliseconds
+        gobject.timeout_add(self._timedelta_to_milliseconds
                             (self.approval_duration),
                             self._reset_approved)
     
     
     ## D-Bus methods, signals & properties
-    _interface = "se.recompile.Mandos.Client"
+    _interface = "se.bsnet.fukt.Mandos.Client"
     
     ## Signals
     
@@ -1097,7 +1012,12 @@
     def ApprovedByDefault_dbus_property(self, value=None):
         if value is None:       # get
             return dbus.Boolean(self.approved_by_default)
+        old_value = self.approved_by_default
         self.approved_by_default = bool(value)
+        # Emit D-Bus signal
+        if old_value != self.approved_by_default:
+            self.PropertyChanged(dbus.String("ApprovedByDefault"),
+                                 dbus.Boolean(value, variant_level=1))
     
     # ApprovalDelay - property
     @dbus_service_property(_interface, signature="t",
@@ -1105,16 +1025,26 @@
     def ApprovalDelay_dbus_property(self, value=None):
         if value is None:       # get
             return dbus.UInt64(self.approval_delay_milliseconds())
+        old_value = self.approval_delay
         self.approval_delay = datetime.timedelta(0, 0, 0, value)
+        # Emit D-Bus signal
+        if old_value != self.approval_delay:
+            self.PropertyChanged(dbus.String("ApprovalDelay"),
+                                 dbus.UInt64(value, variant_level=1))
     
     # ApprovalDuration - property
     @dbus_service_property(_interface, signature="t",
                            access="readwrite")
     def ApprovalDuration_dbus_property(self, value=None):
         if value is None:       # get
-            return dbus.UInt64(_timedelta_to_milliseconds(
+            return dbus.UInt64(self._timedelta_to_milliseconds(
                     self.approval_duration))
+        old_value = self.approval_duration
         self.approval_duration = datetime.timedelta(0, 0, 0, value)
+        # Emit D-Bus signal
+        if old_value != self.approval_duration:
+            self.PropertyChanged(dbus.String("ApprovalDuration"),
+                                 dbus.UInt64(value, variant_level=1))
     
     # Name - property
     @dbus_service_property(_interface, signature="s", access="read")
@@ -1132,17 +1062,22 @@
     def Host_dbus_property(self, value=None):
         if value is None:       # get
             return dbus.String(self.host)
+        old_value = self.host
         self.host = value
+        # Emit D-Bus signal
+        if old_value != self.host:
+            self.PropertyChanged(dbus.String("Host"),
+                                 dbus.String(value, variant_level=1))
     
     # Created - property
     @dbus_service_property(_interface, signature="s", access="read")
     def Created_dbus_property(self):
-        return dbus.String(datetime_to_dbus(self.created))
+        return dbus.String(self._datetime_to_dbus(self.created))
     
     # LastEnabled - property
     @dbus_service_property(_interface, signature="s", access="read")
     def LastEnabled_dbus_property(self):
-        return datetime_to_dbus(self.last_enabled)
+        return self._datetime_to_dbus(self.last_enabled)
     
     # Enabled - property
     @dbus_service_property(_interface, signature="b",
@@ -1162,17 +1097,17 @@
         if value is not None:
             self.checked_ok()
             return
-        return datetime_to_dbus(self.last_checked_ok)
+        return self._datetime_to_dbus(self.last_checked_ok)
     
     # Expires - property
     @dbus_service_property(_interface, signature="s", access="read")
     def Expires_dbus_property(self):
-        return datetime_to_dbus(self.expires)
+        return self._datetime_to_dbus(self.expires)
     
     # LastApprovalRequest - property
     @dbus_service_property(_interface, signature="s", access="read")
     def LastApprovalRequest_dbus_property(self):
-        return datetime_to_dbus(self.last_approval_request)
+        return self._datetime_to_dbus(self.last_approval_request)
     
     # Timeout - property
     @dbus_service_property(_interface, signature="t",
@@ -1180,7 +1115,12 @@
     def Timeout_dbus_property(self, value=None):
         if value is None:       # get
             return dbus.UInt64(self.timeout_milliseconds())
+        old_value = self.timeout
         self.timeout = datetime.timedelta(0, 0, 0, value)
+        # Emit D-Bus signal
+        if old_value != self.timeout:
+            self.PropertyChanged(dbus.String("Timeout"),
+                                 dbus.UInt64(value, variant_level=1))
         if getattr(self, "disable_initiator_tag", None) is None:
             return
         # Reschedule timeout
@@ -1198,26 +1138,35 @@
             self.disable()
         else:
             self.expires = (datetime.datetime.utcnow()
-                            + datetime.timedelta(milliseconds =
-                                                 time_to_die))
+                            + datetime.timedelta(milliseconds = time_to_die))
             self.disable_initiator_tag = (gobject.timeout_add
                                           (time_to_die, self.disable))
-    
+
     # ExtendedTimeout - property
     @dbus_service_property(_interface, signature="t",
                            access="readwrite")
     def ExtendedTimeout_dbus_property(self, value=None):
         if value is None:       # get
             return dbus.UInt64(self.extended_timeout_milliseconds())
+        old_value = self.extended_timeout
         self.extended_timeout = datetime.timedelta(0, 0, 0, value)
-    
+        # Emit D-Bus signal
+        if old_value != self.extended_timeout:
+            self.PropertyChanged(dbus.String("ExtendedTimeout"),
+                                 dbus.UInt64(value, variant_level=1))
+
     # Interval - property
     @dbus_service_property(_interface, signature="t",
                            access="readwrite")
     def Interval_dbus_property(self, value=None):
         if value is None:       # get
             return dbus.UInt64(self.interval_milliseconds())
+        old_value = self.interval
         self.interval = datetime.timedelta(0, 0, 0, value)
+        # Emit D-Bus signal
+        if old_value != self.interval:
+            self.PropertyChanged(dbus.String("Interval"),
+                                 dbus.UInt64(value, variant_level=1))
         if getattr(self, "checker_initiator_tag", None) is None:
             return
         # Reschedule checker run
@@ -1225,14 +1174,20 @@
         self.checker_initiator_tag = (gobject.timeout_add
                                       (value, self.start_checker))
         self.start_checker()    # Start one now, too
-    
+
     # Checker - property
     @dbus_service_property(_interface, signature="s",
                            access="readwrite")
     def Checker_dbus_property(self, value=None):
         if value is None:       # get
             return dbus.String(self.checker_command)
+        old_value = self.checker_command
         self.checker_command = value
+        # Emit D-Bus signal
+        if old_value != self.checker_command:
+            self.PropertyChanged(dbus.String("Checker"),
+                                 dbus.String(self.checker_command,
+                                             variant_level=1))
     
     # CheckerRunning - property
     @dbus_service_property(_interface, signature="b",
@@ -1265,7 +1220,7 @@
         self._pipe.send(('init', fpr, address))
         if not self._pipe.recv():
             raise KeyError()
-    
+
     def __getattribute__(self, name):
         if(name == '_pipe'):
             return super(ProxyClient, self).__getattribute__(name)
@@ -1278,14 +1233,12 @@
                 self._pipe.send(('funcall', name, args, kwargs))
                 return self._pipe.recv()[1]
             return func
-    
+
     def __setattr__(self, name, value):
         if(name == '_pipe'):
             return super(ProxyClient, self).__setattr__(name, value)
         self._pipe.send(('setattr', name, value))
 
-class ClientDBusTransitional(ClientDBus):
-    __metaclass__ = AlternateDBusNamesMetaclass
 
 class ClientHandler(socketserver.BaseRequestHandler, object):
     """A class to handle client connections.
@@ -1299,17 +1252,17 @@
                         unicode(self.client_address))
             logger.debug("Pipe FD: %d",
                          self.server.child_pipe.fileno())
-            
+
             session = (gnutls.connection
                        .ClientSession(self.request,
                                       gnutls.connection
                                       .X509Credentials()))
-            
+
             # Note: gnutls.connection.X509Credentials is really a
             # generic GnuTLS certificate credentials object so long as
             # no X.509 keys are added to it.  Therefore, we can use it
             # here despite using OpenPGP certificates.
-            
+
             #priority = ':'.join(("NONE", "+VERS-TLS1.1",
             #                      "+AES-256-CBC", "+SHA1",
             #                      "+COMP-NULL", "+CTYPE-OPENPGP",
@@ -1321,7 +1274,7 @@
             (gnutls.library.functions
              .gnutls_priority_set_direct(session._c_object,
                                          priority, None))
-            
+
             # Start communication using the Mandos protocol
             # Get protocol number
             line = self.request.makefile().readline()
@@ -1332,7 +1285,7 @@
             except (ValueError, IndexError, RuntimeError) as error:
                 logger.error("Unknown protocol version: %s", error)
                 return
-            
+
             # Start GnuTLS connection
             try:
                 session.handshake()
@@ -1342,7 +1295,7 @@
                 # established.  Just abandon the request.
                 return
             logger.debug("Handshake succeeded")
-            
+
             approval_required = False
             try:
                 try:
@@ -1353,7 +1306,7 @@
                     logger.warning("Bad certificate: %s", error)
                     return
                 logger.debug("Fingerprint: %s", fpr)
-                
+
                 try:
                     client = ProxyClient(child_pipe, fpr,
                                          self.client_address)
@@ -1371,7 +1324,7 @@
                                        client.name)
                         if self.server.use_dbus:
                             # Emit D-Bus signal
-                            client.Rejected("Disabled")
+                            client.Rejected("Disabled")                    
                         return
                     
                     if client._approved or not client.approval_delay:
@@ -1394,13 +1347,10 @@
                         return
                     
                     #wait until timeout or approved
-                    #x = float(client
-                    #          ._timedelta_to_milliseconds(delay))
+                    #x = float(client._timedelta_to_milliseconds(delay))
                     time = datetime.datetime.now()
                     client.changedstate.acquire()
-                    (client.changedstate.wait
-                     (float(client._timedelta_to_milliseconds(delay)
-                            / 1000)))
+                    client.changedstate.wait(float(client._timedelta_to_milliseconds(delay) / 1000))
                     client.changedstate.release()
                     time2 = datetime.datetime.now()
                     if (time2 - time) >= delay:
@@ -1428,7 +1378,7 @@
                                  sent, len(client.secret)
                                  - (sent_size + sent))
                     sent_size += sent
-                
+
                 logger.info("Sending secret to %s", client.name)
                 # bump the timeout as if seen
                 client.checked_ok(client.extended_timeout)
@@ -1522,7 +1472,6 @@
         multiprocessing.Process(target = self.sub_process_main,
                                 args = (request, address)).start()
 
-
 class MultiprocessingMixInWithPipe(MultiprocessingMixIn, object):
     """ adds a pipe to the MixIn """
     def process_request(self, request, client_address):
@@ -1531,17 +1480,16 @@
         This function creates a new pipe in self.pipe
         """
         parent_pipe, self.child_pipe = multiprocessing.Pipe()
-        
+
         super(MultiprocessingMixInWithPipe,
               self).process_request(request, client_address)
         self.child_pipe.close()
         self.add_pipe(parent_pipe)
-    
+
     def add_pipe(self, parent_pipe):
         """Dummy function; override as necessary"""
         raise NotImplementedError
 
-
 class IPv6_TCPServer(MultiprocessingMixInWithPipe,
                      socketserver.TCPServer, object):
     """IPv6-capable TCP server.  Accepts 'None' as address and/or port
@@ -1638,8 +1586,7 @@
         gobject.io_add_watch(parent_pipe.fileno(),
                              gobject.IO_IN | gobject.IO_HUP,
                              functools.partial(self.handle_ipc,
-                                               parent_pipe =
-                                               parent_pipe))
+                                               parent_pipe = parent_pipe))
         
     def handle_ipc(self, source, condition, parent_pipe=None,
                    client_object=None):
@@ -1678,44 +1625,37 @@
                             "dress: %s", fpr, address)
                 if self.use_dbus:
                     # Emit D-Bus signal
-                    mandos_dbus_service.ClientNotFound(fpr,
-                                                       address[0])
+                    mandos_dbus_service.ClientNotFound(fpr, address[0])
                 parent_pipe.send(False)
                 return False
             
             gobject.io_add_watch(parent_pipe.fileno(),
                                  gobject.IO_IN | gobject.IO_HUP,
                                  functools.partial(self.handle_ipc,
-                                                   parent_pipe =
-                                                   parent_pipe,
-                                                   client_object =
-                                                   client))
+                                                   parent_pipe = parent_pipe,
+                                                   client_object = client))
             parent_pipe.send(True)
-            # remove the old hook in favor of the new above hook on
-            # same fileno
+            # remove the old hook in favor of the new above hook on same fileno
             return False
         if command == 'funcall':
             funcname = request[1]
             args = request[2]
             kwargs = request[3]
             
-            parent_pipe.send(('data', getattr(client_object,
-                                              funcname)(*args,
-                                                         **kwargs)))
-        
+            parent_pipe.send(('data', getattr(client_object, funcname)(*args, **kwargs)))
+
         if command == 'getattr':
             attrname = request[1]
             if callable(client_object.__getattribute__(attrname)):
                 parent_pipe.send(('function',))
             else:
-                parent_pipe.send(('data', client_object
-                                  .__getattribute__(attrname)))
+                parent_pipe.send(('data', client_object.__getattribute__(attrname)))
         
         if command == 'setattr':
             attrname = request[1]
             value = request[2]
             setattr(client_object, attrname, value)
-        
+
         return True
 
 
@@ -1900,7 +1840,7 @@
     debuglevel = server_settings["debuglevel"]
     use_dbus = server_settings["use_dbus"]
     use_ipv6 = server_settings["use_ipv6"]
-    
+
     if server_settings["servicename"] != "Mandos":
         syslogger.setFormatter(logging.Formatter
                                ('Mandos (%s) [%%(process)d]:'
@@ -1967,7 +1907,7 @@
         level = getattr(logging, debuglevel.upper())
         syslogger.setLevel(level)
         console.setLevel(level)
-    
+
     if debug:
         # Enable all possible GnuTLS debugging
         
@@ -2004,11 +1944,8 @@
     # End of Avahi example code
     if use_dbus:
         try:
-            bus_name = dbus.service.BusName("se.recompile.Mandos",
+            bus_name = dbus.service.BusName("se.bsnet.fukt.Mandos",
                                             bus, do_not_queue=True)
-            old_bus_name = (dbus.service.BusName
-                            ("se.bsnet.fukt.Mandos", bus,
-                             do_not_queue=True))
         except dbus.exceptions.NameExistsException as e:
             logger.error(unicode(e) + ", disabling D-Bus")
             use_dbus = False
@@ -2027,8 +1964,7 @@
     
     client_class = Client
     if use_dbus:
-        client_class = functools.partial(ClientDBusTransitional,
-                                         bus = bus)
+        client_class = functools.partial(ClientDBus, bus = bus)
     def client_config_items(config, section):
         special_settings = {
             "approved_by_default":
@@ -2064,7 +2000,7 @@
         del pidfilename
         
         signal.signal(signal.SIGINT, signal.SIG_IGN)
-    
+
     signal.signal(signal.SIGHUP, lambda signum, frame: sys.exit())
     signal.signal(signal.SIGTERM, lambda signum, frame: sys.exit())
     
@@ -2073,7 +2009,7 @@
             """A D-Bus proxy object"""
             def __init__(self):
                 dbus.service.Object.__init__(self, bus, "/")
-            _interface = "se.recompile.Mandos"
+            _interface = "se.bsnet.fukt.Mandos"
             
             @dbus.service.signal(_interface, signature="o")
             def ClientAdded(self, objpath):
@@ -2121,9 +2057,7 @@
             
             del _interface
         
-        class MandosDBusServiceTransitional(MandosDBusService):
-            __metaclass__ = AlternateDBusNamesMetaclass
-        mandos_dbus_service = MandosDBusServiceTransitional()
+        mandos_dbus_service = MandosDBusService()
     
     def cleanup():
         "Cleanup function; run on exit"
@@ -2138,8 +2072,7 @@
             client.disable(quiet=True)
             if use_dbus:
                 # Emit D-Bus signal
-                mandos_dbus_service.ClientRemoved(client
-                                                  .dbus_object_path,
+                mandos_dbus_service.ClientRemoved(client.dbus_object_path,
                                                   client.name)
     
     atexit.register(cleanup)
@@ -2194,6 +2127,5 @@
     # Must run before the D-Bus bus name gets deregistered
     cleanup()
 
-
 if __name__ == '__main__':
     main()

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2011-10-05 16:00:56 +0000
+++ mandos-clients.conf.xml	2011-09-19 09:42:55 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos-clients.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/clients.conf</filename>">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-09-19">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -20,14 +20,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
@@ -322,11 +322,10 @@
 	    This option is <emphasis>optional</emphasis>.
 	  </para>
 	  <para>
-	    The timeout is how long the server will wait, after a
-	    successful checker run, until a client is disabled and not
-	    allowed to get the data this server holds.  By default
-	    Mandos will use 5 minutes.  See also the
-	    <option>extended_timeout</option> option.
+	    The timeout is how long the server will wait (for either a
+	    successful checker run or a client receiving its secret)
+	    until a client is disabled and not allowed to get the data
+	    this server holds.  By default Mandos will use 5 minutes.
 	  </para>
 	  <para>
 	    The <replaceable>TIME</replaceable> is specified as a

=== modified file 'mandos-ctl'
--- mandos-ctl	2011-10-09 12:32:13 +0000
+++ mandos-ctl	2011-09-18 14:28:47 +0000
@@ -3,8 +3,8 @@
 # 
 # Mandos Monitor - Control and monitor the Mandos server
 # 
-# Copyright © 2008-2011 Teddy Hogeborn
-# Copyright © 2008-2011 Björn Påhlsson
+# Copyright © 2008-2010 Teddy Hogeborn
+# Copyright © 2008-2010 Björn Påhlsson
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 # 
-# Contact the authors at <mandos@recompile.se>.
+# Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
 from __future__ import (division, absolute_import, print_function,
@@ -55,7 +55,7 @@
     "ExtendedTimeout" : "Extended Timeout"
     }
 defaultkeywords = ("Name", "Enabled", "Timeout", "LastCheckedOK")
-domain = "se.recompile"
+domain = "se.bsnet.fukt"
 busname = domain + ".Mandos"
 server_path = "/"
 server_interface = domain + ".Mandos"

=== modified file 'mandos-ctl.xml'
--- mandos-ctl.xml	2011-10-05 16:00:56 +0000
+++ mandos-ctl.xml	2011-09-18 14:28:47 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-ctl">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'mandos-keygen'
--- mandos-keygen	2011-10-05 16:00:56 +0000
+++ mandos-keygen	2011-08-17 22:27:13 +0000
@@ -18,7 +18,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 # 
-# Contact the authors at <mandos@recompile.se>.
+# Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
 VERSION="1.3.1"

=== modified file 'mandos-keygen.xml'
--- mandos-keygen.xml	2011-10-05 16:00:56 +0000
+++ mandos-keygen.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-keygen">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'mandos-monitor'
--- mandos-monitor	2011-10-05 16:00:56 +0000
+++ mandos-monitor	2011-09-18 14:28:47 +0000
@@ -19,7 +19,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 # 
-# Contact the authors at <mandos@recompile.se>.
+# Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
 from __future__ import (division, absolute_import, print_function,
@@ -49,7 +49,7 @@
 logging.getLogger('dbus.proxies').setLevel(logging.CRITICAL)
 
 # Some useful constants
-domain = 'se.recompile'
+domain = 'se.bsnet.fukt'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
 version = "1.3.1"

=== modified file 'mandos-monitor.xml'
--- mandos-monitor.xml	2011-10-05 16:00:56 +0000
+++ mandos-monitor.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-monitor">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'mandos.conf.xml'
--- mandos.conf.xml	2011-10-05 16:00:56 +0000
+++ mandos.conf.xml	2011-08-08 21:12:37 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/mandos.conf</filename>">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -20,14 +20,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'mandos.lsm'
--- mandos.lsm	2011-10-05 16:00:56 +0000
+++ mandos.lsm	2011-07-27 17:58:27 +0000
@@ -7,13 +7,13 @@
 unattended reboots.
 Keywords:	boot, encryption, luks, cryptsetup, network, openpgp,
 tls, dm-crypt
-Author:		teddy@recompile.se (Teddy Hogeborn),
-		belorn@recompile.se (Björn Påhlsson)
-Maintained-by:	teddy@recompile.se (Teddy Hogeborn),
-		belorn@recompile.se (Björn Påhlsson)
-Primary-site: http://www.recompile.se/mandos
+Author:		teddy@fukt.bsnet.se (Teddy Hogeborn),
+		belorn@fukt.bsnet.se (Björn Påhlsson)
+Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
+		belorn@fukt.bsnet.se (Björn Påhlsson)
+Primary-site: http://www.fukt.bsnet.se/mandos
 	      136K mandos_1.3.1.orig.tar.gz
-Alternate-site: ftp://ftp.recompile.se/pub/mandos
+Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
 		136K mandos_1.3.1.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.6, and
 various other libraries.  While made for Debian GNU/Linux, it is

=== modified file 'mandos.xml'
--- mandos.xml	2011-10-05 16:00:56 +0000
+++ mandos.xml	2011-09-18 14:28:47 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'plugin-runner.c'
--- plugin-runner.c	2011-10-09 12:32:13 +0000
+++ plugin-runner.c	2011-07-16 00:29:19 +0000
@@ -2,8 +2,8 @@
 /*
  * Mandos plugin runner - Run Mandos plugins
  *
- * Copyright © 2008-2011 Teddy Hogeborn
- * Copyright © 2008-2011 Björn Påhlsson
+ * Copyright © 2008-2010 Teddy Hogeborn
+ * Copyright © 2008-2010 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* TEMP_FAILURE_RETRY(), getline(),
@@ -79,7 +79,7 @@
 #define AFILE "/conf/conf.d/mandos/plugin-runner.conf"
 
 const char *argp_program_version = "plugin-runner " VERSION;
-const char *argp_program_bug_address = "<mandos@recompile.se>";
+const char *argp_program_bug_address = "<mandos@fukt.bsnet.se>";
 
 typedef struct plugin{
   char *name;			/* can be NULL or any plugin name */

=== modified file 'plugin-runner.xml'
--- plugin-runner.xml	2011-10-05 16:56:06 +0000
+++ plugin-runner.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "plugin-runner">
-<!ENTITY TIMESTAMP "2011-10-05">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
@@ -261,7 +261,7 @@
 	    Disable the plugin named
 	    <replaceable>PLUGIN</replaceable>.  The plugin will not be
 	    started.
-	  </para>
+	  </para>	
 	</listitem>
       </varlistentry>
       

=== modified file 'plugins.d/askpass-fifo.c'
--- plugins.d/askpass-fifo.c	2011-10-05 16:00:56 +0000
+++ plugins.d/askpass-fifo.c	2011-07-13 02:24:39 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* TEMP_FAILURE_RETRY() */

=== modified file 'plugins.d/askpass-fifo.xml'
--- plugins.d/askpass-fifo.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/askpass-fifo.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "askpass-fifo">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'plugins.d/mandos-client.c'
--- plugins.d/mandos-client.c	2011-10-05 16:00:56 +0000
+++ plugins.d/mandos-client.c	2011-08-07 14:49:02 +0000
@@ -26,7 +26,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 /* Needed by GPGME, specifically gpgme_data_seek() */
@@ -127,7 +127,7 @@
 bool debug = false;
 static const char mandos_protocol_version[] = "1";
 const char *argp_program_version = "mandos-client " VERSION;
-const char *argp_program_bug_address = "<mandos@recompile.se>";
+const char *argp_program_bug_address = "<mandos@fukt.bsnet.se>";
 static const char sys_class_net[] = "/sys/class/net";
 char *connect_to = NULL;
 

=== modified file 'plugins.d/mandos-client.xml'
--- plugins.d/mandos-client.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/mandos-client.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-client">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'plugins.d/password-prompt.c'
--- plugins.d/password-prompt.c	2011-10-09 12:32:13 +0000
+++ plugins.d/password-prompt.c	2011-07-27 17:58:27 +0000
@@ -2,8 +2,8 @@
 /*
  * Password-prompt - Read a password from the terminal and print it
  * 
- * Copyright © 2008-2011 Teddy Hogeborn
- * Copyright © 2008-2011 Björn Påhlsson
+ * Copyright © 2008-2010 Teddy Hogeborn
+ * Copyright © 2008-2010 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* getline(), asprintf() */
@@ -67,7 +67,7 @@
 int signal_received;
 bool debug = false;
 const char *argp_program_version = "password-prompt " VERSION;
-const char *argp_program_bug_address = "<mandos@recompile.se>";
+const char *argp_program_bug_address = "<mandos@fukt.bsnet.se>";
 
 /* Needed for conflict resolution */
 const char plymouth_name[] = "plymouthd";

=== modified file 'plugins.d/password-prompt.xml'
--- plugins.d/password-prompt.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/password-prompt.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "password-prompt">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'plugins.d/plymouth.c'
--- plugins.d/plymouth.c	2011-10-05 16:00:56 +0000
+++ plugins.d/plymouth.c	2011-07-13 02:24:39 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* asprintf(), TEMP_FAILURE_RETRY() */
@@ -54,17 +54,15 @@
 #include <stdarg.h>		/* va_list, va_start(), ... */
 
 sig_atomic_t interrupted_by_signal = 0;
-
-/* Used by Ubuntu 11.04 (Natty Narwahl) */
-const char plymouth_old_pid[] = "/dev/.initramfs/plymouth.pid";
-/* Used by Ubuntu 11.10 (Oneiric Ocelot) */
-const char plymouth_pid[] = "/run/initramfs/plymouth.pid";
-
+const char plymouth_pid[] = "/dev/.initramfs/plymouth.pid";
 const char plymouth_path[] = "/bin/plymouth";
 const char plymouthd_path[] = "/sbin/plymouthd";
 const char *plymouthd_default_argv[] = {"/sbin/plymouthd",
 					"--mode=boot",
 					"--attach-to-session",
+					"--pid-file="
+					"/dev/.initramfs/"
+					"plymouth.pid",
 					NULL };
 
 static void termination_handler(__attribute__((unused))int signum){
@@ -262,9 +260,8 @@
 
 pid_t get_pid(void){
   int ret;
+  FILE *pidfile = fopen(plymouth_pid, "r");
   uintmax_t maxvalue = 0;
-  FILE *pidfile = fopen(plymouth_pid, "r");
-  /* Try the new pid file location */
   if(pidfile != NULL){
     ret = fscanf(pidfile, "%" SCNuMAX, &maxvalue);
     if(ret != 1){
@@ -272,18 +269,6 @@
     }
     fclose(pidfile);
   }
-  /* Try the old pid file location */
-  if(maxvalue == 0){
-    pidfile = fopen(plymouth_pid, "r");
-    if(pidfile != NULL){
-      ret = fscanf(pidfile, "%" SCNuMAX, &maxvalue);
-      if(ret != 1){
-	maxvalue = 0;
-      }
-      fclose(pidfile);
-    }
-  }
-  /* Look for a plymouth process */
   if(maxvalue == 0){
     struct dirent **direntries = NULL;
     ret = scandir("/proc", &direntries, is_plymouth, alphasort);

=== modified file 'plugins.d/plymouth.xml'
--- plugins.d/plymouth.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/plymouth.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "plymouth">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'plugins.d/splashy.c'
--- plugins.d/splashy.c	2011-10-05 16:00:56 +0000
+++ plugins.d/splashy.c	2011-07-13 02:24:39 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* TEMP_FAILURE_RETRY(), asprintf() */

=== modified file 'plugins.d/splashy.xml'
--- plugins.d/splashy.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/splashy.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "splashy">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'plugins.d/usplash.c'
--- plugins.d/usplash.c	2011-10-05 16:00:56 +0000
+++ plugins.d/usplash.c	2011-07-13 02:24:39 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* asprintf(), TEMP_FAILURE_RETRY() */

=== modified file 'plugins.d/usplash.xml'
--- plugins.d/usplash.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/usplash.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "usplash">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

